/* api.c generated by valac 0.56.0, the Vala compiler
 * generated from api.vala, do not modify */

/* enchant: miscellaneous public APIs
 * Copyright (C) 2003, 2004 Dom Lachowicz
 * Copyright (C) 2016-2024 Reuben Thomas <rrt@sc3d.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along along with this program; if not, see
 * <https://www.gnu.org/licenses/>.
 *
 * In addition, as a special exception, the copyright holders
 * give permission to link the code of this program with
 * non-LGPL Spelling Provider libraries (eg: a MSFT Office
 * spell checker backend) and distribute linked combinations including
 * the two.  You must obey the GNU Lesser General Public License in all
 * respects for all of the code used other than said providers.  If you modify
 * this file, you may extend this exception to your version of the
 * file, but you are not obligated to do so.  If you do not wish to
 * do so, delete this exception statement from your version.
 */

#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <relocatable.h>
#include <configmake.h>
#include <locale.h>

#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define _g_free0(var) (var = (g_free (var), NULL))

VALA_EXTERN void enchant_set_prefix_dir (const gchar* new_prefix);
VALA_EXTERN const gchar* enchant_get_version (void);
VALA_EXTERN gchar* enchant_get_user_language (void);

void
enchant_set_prefix_dir (const gchar* new_prefix)
{
#line 33 "api.vala"
	g_return_if_fail (new_prefix != NULL);
#line 35 "api.vala"
	set_relocation_prefix (INSTALLPREFIX, new_prefix);
#line 64 "api.c"
}

const gchar*
enchant_get_version (void)
{
	const gchar* result;
#line 40 "api.vala"
	result = ENCHANT_VERSION_STRING;
#line 40 "api.vala"
	return result;
#line 75 "api.c"
}

gchar*
enchant_get_user_language (void)
{
	gchar* locale = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp5_;
	gboolean _tmp8_ = FALSE;
	const gchar* _tmp9_;
	gchar* result;
#line 47 "api.vala"
	_tmp0_ = g_getenv ("LANG");
#line 47 "api.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 47 "api.vala"
	locale = _tmp1_;
#line 49 "api.vala"
	_tmp2_ = locale;
#line 49 "api.vala"
	if (_tmp2_ == NULL) {
#line 99 "api.c"
		const gchar* _tmp3_;
		gchar* _tmp4_;
#line 50 "api.vala"
		_tmp3_ = setlocale (LC_MESSAGES, "");
#line 50 "api.vala"
		_tmp4_ = g_strdup (_tmp3_);
#line 50 "api.vala"
		_g_free0 (locale);
#line 50 "api.vala"
		locale = _tmp4_;
#line 110 "api.c"
	}
#line 52 "api.vala"
	_tmp5_ = locale;
#line 52 "api.vala"
	if (_tmp5_ == NULL) {
#line 116 "api.c"
		const gchar* _tmp6_;
		gchar* _tmp7_;
#line 53 "api.vala"
		_tmp6_ = setlocale (LC_ALL, "");
#line 53 "api.vala"
		_tmp7_ = g_strdup (_tmp6_);
#line 53 "api.vala"
		_g_free0 (locale);
#line 53 "api.vala"
		locale = _tmp7_;
#line 127 "api.c"
	}
#line 55 "api.vala"
	_tmp9_ = locale;
#line 55 "api.vala"
	if (_tmp9_ == NULL) {
#line 55 "api.vala"
		_tmp8_ = TRUE;
#line 135 "api.c"
	} else {
		const gchar* _tmp10_;
#line 55 "api.vala"
		_tmp10_ = locale;
#line 55 "api.vala"
		_tmp8_ = g_strcmp0 (_tmp10_, "C") == 0;
#line 142 "api.c"
	}
#line 55 "api.vala"
	if (_tmp8_) {
#line 146 "api.c"
		gchar* _tmp11_;
#line 56 "api.vala"
		_tmp11_ = g_strdup ("en");
#line 56 "api.vala"
		_g_free0 (locale);
#line 56 "api.vala"
		locale = _tmp11_;
#line 154 "api.c"
	}
#line 58 "api.vala"
	result = locale;
#line 58 "api.vala"
	return result;
#line 160 "api.c"
}

